Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.cms.workflow
Class Content

    java.lang.Object
      org.jboss.portal.cms.workflow.Content

All Implemented Interfaces:
  java.io.Serializable

    public class Content

extends java.lang.Object
implements java.io.Serializable

Created on : Dec 20, 2006

Author:
  Sohil Shah - sohil.shah@jboss.com
See Also:
  Serialized Form

Constructor Summary
`Content()`

Method Summary
`java.util.Date` | `getCreationDate()`
`java.lang.String` | `getCreationDateStr()`
`java.lang.String` | `getMimeType()`
`java.lang.String` | `getPath()`
`java.lang.String` | `getProcessId()`
`int` | `getSize()`
`java.lang.String` | `getSizeStr()`
`java.lang.String` | `getUserName()`
`void` | `setCreationDate(java.util.Date creationDate)`
`void` | `setMimeType(java.lang.String mimeType)`
`void` | `setPath(java.lang.String path)`
`void` | `setProcessId(java.lang.String processId)`
`void` | `setSize(int size)`
`void` | `setUserName(java.lang.String userName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Content

    public Content()

Method Detail

### getPath

    public java.lang.String getPath()

  Returns:
    the path

### setPath

    public void setPath(java.lang.String path)

  Parameters:
    `path` - the path to set

### getUserName

    public java.lang.String getUserName()

  Returns:
    the userName

### setUserName

    public void setUserName(java.lang.String userName)

  Parameters:
    `userName` - the userName to set

### getMimeType

    public java.lang.String getMimeType()

  Returns:
    the mimeType

### setMimeType

    public void setMimeType(java.lang.String mimeType)

  Parameters:
    `mimeType` - the mimeType to set

### getSize

    public int getSize()

  Returns:
    the size

### setSize

    public void setSize(int size)

  Parameters:
    `size` - the size to set

### getSizeStr

    public java.lang.String getSizeStr()

### getCreationDate

    public java.util.Date getCreationDate()

  Returns:
    the creationDate

### setCreationDate

    public void setCreationDate(java.util.Date creationDate)

  Parameters:
    `creationDate` - the creationDate to set

### getCreationDateStr

    public java.lang.String getCreationDateStr()

### getProcessId

    public java.lang.String getProcessId()

  Returns:

### setProcessId

    public void setProcessId(java.lang.String processId)

  Parameters:
    `processId` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.